org.jboss.netty.handler.codec.marshalling

## Class DefaultMarshallerProvider

- java.lang.Object
- - org.jboss.netty.handler.codec.marshalling.DefaultMarshallerProvider

All Implemented Interfaces:
  MarshallerProvider

    public class DefaultMarshallerProvider
    extends Object
    implements MarshallerProvider

Default implementation of `MarshallerProvider` which just create a new `Marshaller` on ever `getMarshaller(ChannelHandlerContext)` call.

### Constructor Summary

Constructors
Constructor and Description
`DefaultMarshallerProvider(org.jboss.marshalling.MarshallerFactory factory, org.jboss.marshalling.MarshallingConfiguration config)` Create a new instance

### Method Summary

Methods
`org.jboss.marshalling.Marshaller` `getMarshaller(ChannelHandlerContext ctx)` Get a `Marshaller` for the given `ChannelHandlerContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMarshallerProvider

    public DefaultMarshallerProvider(org.jboss.marshalling.MarshallerFactory factory,
                             org.jboss.marshalling.MarshallingConfiguration config)

Create a new instance

Parameters:
  `factory` - the `MarshallerFactory` to use to create `Marshaller`
  `config` - the `MarshallingConfiguration`

### Method Detail

#### getMarshaller

    public org.jboss.marshalling.Marshaller getMarshaller(ChannelHandlerContext ctx)
                                                   throws Exception

Description copied from interface: `MarshallerProvider`
Get a `Marshaller` for the given `ChannelHandlerContext`

Specified by:
  `getMarshaller` in interface `MarshallerProvider`
Throws:
  `Exception`